Last modified: 2011-01-25 01:30:46 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20181 - New approved projects
New approved projects
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Rob Halsell
: shell
Depends on:
Blocks: wikis-to-create
  Show dependency treegraph
 
Reported: 2009-08-11 19:10 UTC by Gerard Meijssen
Modified: 2011-01-25 01:30 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Gerard Meijssen 2009-08-11 19:10:26 UTC
Hoi,
The following projects have been approved:
* Sorani Wikipedia   = ckb
* Western Panjabi Wikipedia  = pnb
* Mirandese Wikipedia = mwl
* Acehnese Wikipedia = ace

* Turkish Wikinews = tr

Thanks,
     GerardM
Comment 1 Rob Halsell 2009-08-12 19:44:14 UTC
All the above requested projects have been pushed live and are functional.  However, it appears there is some negative DNS caching on ckb.wikipedia.org and pnb.wikipedia.org.  Basically someone, someplace, typed that in before they were setup.  It is no big deal, the DNS cache just has to expire.  That may take up to an hour or so, it has been corrected on WMF DNS servers, but other DNS servers may already have the negative cache.

It will resolve and the projects are functional!
Comment 2 Erdal Ronahi 2009-08-13 00:07:46 UTC
Sorani (http://ckb.wikipedia.org/) is written in the Arabic script. Therefore the wiki has to have a right-to-left layout. Should I file a new bug for that or reopen this one?
Comment 3 Brion Vibber 2009-08-13 00:34:41 UTC
MessagesCkb_arab.php was missing the RTL setup for the language config. Added that in trunk in r54910; should be merged to deployment shortly...
Comment 4 Brion Vibber 2009-08-13 00:43:24 UTC
Ok, that seems to be worked out now. :)
Comment 5 Casey Brown 2009-08-13 00:47:38 UTC
(In reply to comment #3)
> MessagesCkb_arab.php was missing the RTL setup for the language config. Added
> that in trunk in r54910; should be merged to deployment shortly...
> 

Is it the same case for pnbwiki too?  It's in Arab script...
Comment 6 Brion Vibber 2009-08-13 01:09:05 UTC
Same problem with pnbwiki too; the localization file was incomplete. Fixed in r54915 on trunk and merged to wmf-deployment and deployed, looks good now.
Comment 7 Melancholie 2009-08-13 01:31:47 UTC
Re-opening, as interwiki link prefixes are missing.
So, the following links do not work:
* [[pnb:Test]] (e.g. http://en.wikipedia.org/wiki/pnb:Test)
* [[mwl:Test]]
* [[ace:Test]]
* [[ckb:Test]]

Wikinews works well, though:
* [[n:tr:Test]]
Comment 8 Melancholie 2009-08-13 01:37:22 UTC
Beside comment #7, also note that the logo for trwikinews is missing.

http://upload.wikimedia.org/wikinews/tr/b/bc/Wiki.png is nonexistent.
Isn't there a standard/default logo without text? Or maybe the English one?
Comment 9 Melancholie 2009-08-13 04:06:05 UTC
Beside comment #7 and comment #8, also note that on import:

* [[Wp/mwl/Foobar|Foobar]] links are replaced to [[Foobar|Foobar]], not [[Foobar]]
  L http://incubator.wikimedia.org/wiki/Wp/mwl/Abusejo
    L http://mwl.wikipedia.org/wiki/Abusejo
* [[../Foobar/]] links currently get ignored, so not replaced at all, see:
  L http://incubator.wikimedia.org/wiki/Wp/mwl/Alpes
    L => http://mwl.wikipedia.org/wiki/Alpes

Can [[../Foobar/]] links be transformed by a server script, or should it be done by a bot?
Comment 10 Gerard Meijssen 2009-08-13 07:59:05 UTC
Hoi,
The interwiki link functionality has been created by Raymond.
Thanks,
    GerardM
Comment 11 Raimond Spekking 2009-08-13 08:01:09 UTC
(In reply to comment #10)
> Hoi,
> The interwiki link functionality has been created by Raymond.
> Thanks,
>     GerardM
> 

I am not sure that my commit r54918 fixes the interwiki issue immediatly. I think there has to run a sript to apply it.
Comment 12 Erdal Ronahi 2009-08-13 08:31:48 UTC
For me, it does not fix the interwiki issue. <nowiki>[[ckb:]]</nowiki> on the Kurdish main page is without effect.
Comment 13 Rob Halsell 2009-08-13 18:54:04 UTC
I just ran an update to the interwiki cache, so it should be working now.  The logo issue is being addressed in its own ticket already.
Comment 14 Melancholie 2009-08-13 19:33:35 UTC
> ... should be working now.

Still doesn't work, it seems. Don't think that it's just a cache issue.
You can use http://als.wikipedia.org/w/index.php?title=User:MelancholieBot/red2blue&diff=219201&random=0815 to check if it is working (see also comment #7). Is there another place where the lang prefixes would have to be added?
http://svn.wikimedia.org/viewvc/mediawiki/branches/wmf-deployment/languages/Names.php?view=markup actually contains the names, is there a backend to/for this file?
Comment 15 Melancholie 2009-08-13 19:44:23 UTC
L comment #14

----
> The logo issue is being addressed in its own ticket already.

Do you mean bug 20215?
But new created Wikinews wikis should have a standard/default logo like Wikipedias/Wikibooks have from creation on.
WP path: /images/wiki-en.png
WB path: http://upload.wikimedia.org/wikipedia/commons/4/49/Wikibooks-logo-en-noslogan.png
A missing logo for every new Wikinews isn't desirable. Maybe also needed for other projects.
Comment 16 Melancholie 2009-08-14 09:30:31 UTC
Some bots are already adding redlinks now, see [[Special:Contributions/JAnDbot]] e.g.
Please fix the interwiki link issue.
Comment 17 Melancholie 2009-08-14 11:14:34 UTC
Re-closing.
See also bug 20214 ("Add ace, ckb, mwl, pnb to interwiki table") for the interwiki issue.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links